@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap");

body {
  margin: 0;
  padding: 0;
  font-family: "Inter", sans-serif;
}

@media (max-width: 639px) {
  .content-container {
    margin: 0 16px; /* 16px margin on both sides */
  }
}

@media (min-width: 640px) and (max-width: 1023px) {
  .content-container {
    margin: 0 32px; /* 32px margin on both sides */
  }
}

@media (min-width: 1024px) {
  .content-container {
    margin: 0 auto; /* Centered with auto margins */
    padding: 0 60px;
    max-width: 1320px;
  }
}

/* navigation */
nav {
  box-shadow: 0 0 48px rgba(6, 28, 61, 0.05);
}

#hamburgerMenu {
  max-height: 0;
  overflow: hidden;
  transition: max-height 1s ease;
}

#hamburgerMenu.open {
  max-height: fit-content;
}
#hamburgerMenu.open > img {
  content: url("path/to/new-image.png");
}

/* footer */

.btnSocials {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 12px;
  border-radius: 8px;
  text-decoration: none;
  font-family: Arial, sans-serif;
  font-size: 16px;
  color: #000;
  transition: 0.3s;
  text-align: left;
  position: relative;
  opacity: 0.9;
  gap: 10px;
}
.btnSocials::after {
  outline: none;
}
.facebook {
  color: #000;
  background-color: rgba(24, 119, 242, 0.08);
}
.youtube {
  color: #000;
  background-color: #ffcece;
}
.tiktok {
  color: #000;
  background-color: rgba(29, 161, 242, 0.08);
}
.instagram {
  background: linear-gradient(15deg, #f8eebc, #e4c9e2);
  color: #000;
}
.iconSocials {
  font-size: 20px;
  flex-shrink: 0;
  margin-left: 10px;
  border-right-color: #061c3d;
  border-right-style: solid;
  border-right-width: 1px;
  padding-right: 15px;
}
.textSocials {
  flex-grow: 1;
  text-align: center;
  margin-right: 10px;
}
